post
https://api.marketcircle.net/v1/roles
Create a role
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
When creating a role, set two ofcontact,company,opportunityandproject, in one of the following combinations:
ContactandCompanyorOpportunityorProject
CompanyandContactorOpportunityorProject
OpportunityandCompanyorContact
ProjectandCompanyorContact
DepartmentThe
departmentattribute is only applicable to roles between Contact and Company entities.
type is optional. Set it to a role type reference; the role's role name comes from the role type and can't be sent directly (doing so returns role_cannot_be_set).
{
"contact": "/v1/contacts/1000",
"company": "/v1/companies/1000",
"type": "/v1/role_types/1000",
"title": "Interim CEO",
"department": "Executive"
}A successful request returns 201 Created with the new role's reference, e.g. {"location": "/v1/roles/1000"}.
Roles on recordsYou can also create roles from either record, e.g. through a contact's
companieslist. There,rolesets the role type by name and creates it if needed.